Subject: Re: can CYGWIN have a different IP address to Windows?
From: "John Vincent" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 15 Aug 2002 15:13:26 +0000

Hi,

Informative answer. I knew it was possible if you have more
than one NIC, but up till now I had assumed one NIC == one IP address.

Thanks for the info.

/John Vincent.

>From: S. L. <[email-masked]>
>To: "John Vincent" <[email-masked]>
>CC: [email-masked], [email-masked]
>Subject: Re: can CYGWIN have a different IP address to Windows?
>Date: Thu, 15 Aug 2002 07:57:19 +0200 (MEST)
>
>John,
>[...]
> > I think this answer only applies to WinNT/2000/XP. Out of interest,
> > does anyone know if the same trick can be done on Win9x ?
>[...]
>
>Just a "spread the word" (I've not actually tested). There can be more than
>2 IP addresses on a Win9x box, adding more TCP/IP protocols. This is a 
>win98
>hint (dunno if it applies to 95 and/or OSR2).
>
>Problems that arrive with this are:
>1. You cannot control what network device the added protocol associates
>with. I. e., if you have more than 1 network device (dial-up, VPN, etc.), 
>you
>must add protocols until you get one associated with desired network 
>device, and
>delete those unwanted.
>2. Win9x stack is incomplete (most noticeable, it doesn't route), so other
>problems may also appear.
>
>SLao
>
>--
>GMX - Die Kommunikationsplattform im Internet.
>http://www.gmx.net

_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/